Page MenuHomePhabricator

Tracking bug for 1.27.5/1.29.3/1.30.1/1.31.1 security release
Closed, ResolvedPublic

Description

Previous work T168823: Tracking bug for 1.27.4/1.28.3/1.29.2 security releases

Tracking bug for next security release

This will be the final 1.29 release.

Maniphest IDCVE IDREL1_27REL1_29REL1_30REL1_31master
T169545CVE-2018-0503
T187638CVE-2018-0504mergedmergedmergedmergedmerged
T194605CVE-2018-0505
T194237n/a (hardening)mergedmergedmergedmergedmerged
T199029CVE-2018-13258n/an/an/a

Event Timeline

Bawolff created this task.Nov 29 2017, 6:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2017, 6:58 PM
Bawolff added a subtask: Restricted Task.Jan 8 2018, 6:51 PM
Aklapper renamed this task from Tracking bug for 1.27.5/1.29.2/1.30.1 security release to Tracking bug for 1.27.5/1.29.3/1.30.1 security release.Mar 28 2018, 7:34 AM
greg added a subscriber: greg.Mar 29 2018, 9:33 PM

As I said in email: Let's shoot for this to happen before REL1_31 is branched (April 17th) to make things clean for everyone.

greg added a subscriber: Reedy.Jun 12 2018, 4:18 AM

@Bawolff @Reedy is this going to happen soon? 1.31 is really close to being ready.

Reedy renamed this task from Tracking bug for 1.27.5/1.29.3/1.30.1 security release to Tracking bug for 1.27.5/1.29.3/1.30.1/1.31.1 security release.Jul 7 2018, 10:41 AM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Jul 7 2018, 5:22 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)
Bawolff added a subtask: Restricted Task.Jul 9 2018, 11:07 PM
Legoktm removed a subtask: Restricted Task.Aug 29 2018, 12:57 AM
Legoktm removed a subtask: Restricted Task.Aug 29 2018, 1:14 AM
Legoktm updated the task description. (Show Details)
Legoktm updated the task description. (Show Details)Aug 29 2018, 1:49 AM
Legoktm updated the task description. (Show Details)Aug 29 2018, 6:12 PM
Legoktm added a subscriber: Legoktm.Sep 3 2018, 8:35 AM

I didn't want to upload 20 individual files to Phabricator...here's tars of the 3 backported security patches for each branch, and then release branches have one more patch bumping $wgVersion and adding release notes.

Reedy closed this task as Resolved.Sep 20 2018, 9:32 PM
Reedy claimed this task.
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".